Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer
Class XMLStreamBufferMark

    java.lang.Object
      com.sun.xml.stream.buffer.XMLStreamBuffer
          com.sun.xml.stream.buffer.XMLStreamBufferMark

    public class XMLStreamBufferMark

extends XMLStreamBuffer

A mark into a buffer.

A mark can be processed in the same manner as a XMLStreamBuffer.

A mark will share a sub set of information of the buffer that is marked. If the buffer is directly or indirectly associated with a (mutable) `XMLStreamBuffer` which is reset and/or re-created then this will invalidate the mark and processing behvaiour of the mark is undefined. It is the responsibility of the application to manage the relationship between the marked XMLStreamBuffer and one or more marks.

Field Summary

Fields inherited from class com.sun.xml.stream.buffer.XMLStreamBuffer
`_contentCharactersBuffer, _contentCharactersBufferPtr, _contentObjects, _contentObjectsPtr, _hasInternedStrings, _inscopeNamespaces, _structure, _structurePtr, _structureStrings, _structureStringsPtr, systemId, treeCount`

Constructor Summary
`XMLStreamBufferMark(java.util.Map<java.lang.String,java.lang.String> inscopeNamespaces, AbstractCreatorProcessor src)` Create a mark from the buffer that is being created.

Method Summary

Methods inherited from class com.sun.xml.stream.buffer.XMLStreamBuffer
`createNewBufferFromXMLReader, createNewBufferFromXMLReader, createNewBufferFromXMLStreamReader, getContentCharactersBuffer, getContentCharactersBufferPtr, getContentObjects, getContentObjectsPtr, getInscopeNamespaces, getStructure, getStructurePtr, getStructureStrings, getStructureStringsPtr, getSystemId, hasInternedStrings, isCreated, isElementFragment, isForest, isFragment, readAsXMLReader, readAsXMLReader, readAsXMLStreamReader, writeTo, writeTo, writeTo, writeTo, writeTo, writeToXMLStreamWriter, writeToXMLStreamWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStreamBufferMark

    public XMLStreamBufferMark(java.util.Map<java.lang.String,java.lang.String> inscopeNamespaces,
                               AbstractCreatorProcessor src)

  Create a mark from the buffer that is being created.

  A mark will be created from the current position of creation of the `XMLStreamBuffer` that is being created by a `AbstractCreator`.

  Parameters:
    `inscopeNamespaces` - The in-scope namespaces on the fragment of XML infoset that is to be marked.
    `src` - The `AbstractCreator` or `AbstractProcessor` from which the current position of creation of the XMLStreamBuffer will be taken as the mark.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD